%define		status		stable
%define		pearname	HTTP_WebDAV_Client
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - WebDAV stream wrapper class
Summary(pl.UTF-8):	%{pearname} - wrapper dla strumienia WebDAV
Name:		php-pear-%{pearname}
Version:	1.0.2
Release:	2
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	b5fd549a41d2f6ba06cb7010c9f15fab
URL:		http://pear.php.net/package/HTTP_WebDAV_Client/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= 4.3
Requires:	php-pear >= 4:1.0-9.2
Requires:	php-pear-HTTP_Request >= 1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFC2518 compliant stream wrapper that allows to use WebDAV server
resources like a regular file system from within PHP.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Zgodny z RFC2518 wrapper dla strumieni umożliwiający obsługę zasobów
serwera WebDAV tak jak gdyby to był zwykły plik.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/HTTP_WebDAV_Client/README .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTTP/WebDAV/*.php
%{php_pear_dir}/HTTP/WebDAV/Client
%{php_pear_dir}/HTTP/WebDAV/Tools/*
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> aa508c2
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Sat Mar 24 2012 Elan Ruusamäe <glen@pld-linux.org> 6aca7c0
- up to 1.0.2

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 20bce97
- updated to: 1.0.1

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 1810e2b
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 32069da
- updated to: 1.0.0
- release: 1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> e73b8ff
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 74f7929
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9fc2e96
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 5b81dc5
- BR rpm-build macros >= 1.300 for %pear_ macros

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> b7ad27a
- BR php-pear-PEAR

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> f62ff1f
- conflicting HTTP/WebDAV/Tools resolved

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> d8f6dbd
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 77aabc6
- semi automatically added deps from pear

* Tue Sep 27 2005 Elan Ruusamäe <glen@pld-linux.org> 0709d49
- new pear packaging

* Mon Jan 10 2005 Adam Gołębiowski <adamg@pld-linux.org> 989d10c
- updated to 0.9.7

* Fri Dec 03 2004 Adam Gołębiowski <adamg@pld-linux.org> dce735b
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> ec2acf7
- fixed english information about status of the package

* Mon Mar 15 2004 ankry <ankry@pld-linux.org> 2f90b57
- massive cosmetics

* Tue Dec 23 2003 Adam Gołębiowski <adamg@pld-linux.org> 49a481d
- updated to 0.9.6

* Sat Dec 06 2003 Adam Gołębiowski <adamg@pld-linux.org> 02c76e4
- initial import

